Bug 188539 - PMP not automounting as a storage device
PMP not automounting as a storage device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 20:16 EDT by Gantry York
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gantry York 2006-04-10 20:16:42 EDT
Description of problem:

Whith FC4 I could plug my PMP (Personal Media Player) in to the USB port, it
would be recognized, then automounted as a storage device.

Since upgrading to FC5, this no longer works.


Version-Release number of selected component (if applicable):

FC5

How reproducible:


Steps to Reproduce:
1.  Plug PMP into USB port
2.
3.
  
Actual results:

Nothing happens (except some log messages, see below)

Expected results:

Used to automount and put an icon on the desktop.  It doesn't do that now.

Additional info:

Here is what /var/log/messages says:

Apr 10 17:14:00 denali kernel: usb 1-2.2: new full speed USB device using
uhci_hcd and address 15
Apr 10 17:14:00 denali kernel: usb 1-2.2: configuration #1 chosen from 1 choice

If I plug a USB storage drive in, this is what I get:

Apr 10 17:14:00 denali kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Apr 10 17:14:05 denali kernel:   Vendor: LEXAR     Model: JUMPDRIVE         Rev:
1.10
Apr 10 17:14:05 denali kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 01 CCS
Apr 10 17:14:05 denali kernel: SCSI device sda: 251904 512-byte hdwr sectors
(129 MB)
Apr 10 17:14:05 denali kernel: sda: Write Protect is off
Apr 10 17:14:05 denali kernel: sda: assuming drive cache: write through
Apr 10 17:14:05 denali kernel: SCSI device sda: 251904 512-byte hdwr sectors
(129 MB)
Apr 10 17:14:05 denali kernel: sda: Write Protect is off
Apr 10 17:14:05 denali kernel: sda: assuming drive cache: write through
Apr 10 17:14:05 denali kernel:  sda: sda1 sda2 < >
Apr 10 17:14:05 denali kernel: sd 4:0:0:0: Attached scsi removable disk sda
Apr 10 17:14:05 denali kernel: sd 4:0:0:0: Attached scsi generic sg0 type 0
Apr 10 17:14:06 denali kernel: SELinux: initialized (dev sda1, type vfat), uses
genfs_contexts
Comment 1 Thomas Woerner 2006-04-11 05:05:39 EDT
Please assign to gnome-mount if you are using gnome or assign to kde-base if you
are using kde.
Comment 2 Gantry York 2006-04-11 23:35:07 EDT
Well, I believe this is some sort of problem with uhci_hcd not recognizing
certain devices.  I cat hotplug my webcam either.

Here is some more info...

/var/log/message:

Apr 11 20:17:04 denali kernel: usb 1-2.4: new full speed USB device using
uhci_hcd and address 23
Apr 11 20:17:04 denali kernel: usb 1-2.4: no configuration chosen from 1 choice


From lsusb -v

Bus 001 Device 023: ID 0e21:0510 Cowon Systems, Inc.
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0        64
  idVendor           0x0e21 Cowon Systems, Inc.
  idProduct          0x0510
  bcdDevice            1.00
  iManufacturer          73
  iProduct               93
  iSerial               103
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     2
    iConfiguration          0
    bmAttributes         0x80
    MaxPower              498mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval              32


/var/log/messages:

Apr 11 20:20:25 denali kernel: usb 1-2.3: new full speed USB device using
uhci_hcd and address 24
Apr 11 20:20:25 denali kernel: usb 1-2.3: no configuration chosen from 1 choice


From lsusb -v:

Bus 001 Device 024: ID 046d:08b2 Logitech, Inc. QuickCam Pro 4000
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
can't get device qualifier: No route to host
can't get debug descriptor: No route to host
  bDeviceProtocol         0
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0x08b2 QuickCam Pro 4000
  bcdDevice            0.00
  iManufacturer           0
  iProduct                0
  iSerial                 0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          490
    bNumInterfaces          3
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0xa0
      Remote Wakeup
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0000  1x 0 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x00c4  1x 196 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       2
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0124  1x 292 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       3
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0
      bInterfaceProtocol      0
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              32
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data

....etc

Comment 3 Gantry York 2006-04-27 17:57:42 EDT
I've reassigned this to gnome-mount, per Thomas's suggestion, in an effort to
get this bug looked at.

This is a fundamental problem with the Fedora Desktop.  Therefore, I'm
increasing the severity to 'high'.
Comment 4 Gantry York 2007-01-01 16:30:29 EST
This bug was not addressed in FC5, it still persists in FC6.

This bug can be closed out as a duplicate of #220938 as 220938 is more descriptive.
Comment 5 Bug Zapper 2008-04-03 22:36:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 11:46:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.